Bug 842437 - dna memleak reported by valgrind
Summary: dna memleak reported by valgrind
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-23 20:55 UTC by Nathan Kinder
Modified: 2013-02-21 08:20 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Some dna plugin modifications were not freed Consequence: Memory leaked Fix: Properly free the modifications Result: Memory not leaked.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:20:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-07-23 20:55:10 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/407

Running the multi_plugin test in valgrind:
==27981== 24 bytes in 1 blocks are definitely lost in loss record 248 of 1,456
==27981==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==27981==    by 0x4C57EE9: slapi_ch_calloc (ch_malloc.c:243)
==27981==    by 0x4CA11AC: slapi_mods_new (modutil.c:93)
==27981==    by 0xB0FAE6B: dna_pre_op (dna.c:3254)
==27981==    by 0xB0FB08C: dna_mod_pre_op (dna.c:3334)
==27981==    by 0x4CB2228: plugin_call_func (plugin.c:1453)
==27981==    by 0x4CB20DB: plugin_call_list (plugin.c:1415)
==27981==    by 0x4CB066F: plugin_call_plugins (plugin.c:398)
==27981==    by 0xB577B8B: ldbm_back_modify (ldbm_modify.c:442)
==27981==    by 0x4C9E6B6: op_shared_modify (modify.c:945)
==27981==    by 0x4C9D8E2: modify_internal_pb (modify.c:616)
==27981==    by 0x4C9D45E: slapi_modify_internal_pb (modify.c:471)
==27981==    by 0x4CBF4F3: pw_mod_allowchange_aci (pw.c:1324)
==27981==    by 0x4291ED: pw_init (pw_mgmt.c:304)
==27981==    by 0x42150F: main (main.c:1217)

Comment 1 Nathan Kinder 2012-07-23 20:56:11 UTC
This will need to be verified by a developer by running valgrind when running the multi-plugin test.

Comment 2 Jenny Severance 2012-07-24 12:28:10 UTC
QE verify sanity only, no regressions found with DNA and multi-plugin testing

Comment 4 Noriko Hosoi 2013-01-29 20:38:47 UTC
I verified there is no memory leak observed with 389-ds-base-1.2.11.15-11.el6.x86_64.

Steps: 
Ran the multi_plugin as well as DNA test cases against the valgrind enabled 389-ds-base.
The valgrind output files do not include the memory leak reported by Nathan on 2012-07-23.
# egrep dna_ *.vg.*
#

Please change the status to VERIFIED.

Comment 5 Amita Sharma 2013-01-30 05:54:22 UTC
Thanks Noriko.

DNA and multiplugin passed 100%
Hence marking bug as VERIFIED.

Comment 6 errata-xmlrpc 2013-02-21 08:20:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html


Note You need to log in before you can comment on or make changes to this bug.